#ifndef _MD5_H
#define _MD5_H

/* Define this to include selftest/verify routines */
/*#define MD5TEST*/

typedef struct
{
    unsigned long count[2];
    unsigned long state[4];
    unsigned char buffer[64];
} md5_context;

extern void md5init(md5_context *ctx);
extern void md5update(md5_context *ctx, const unsigned char *input, const unsigned int length);
extern void md5final(unsigned char digest[16], md5_context *ctx);

#ifdef MD5TEST
extern int md5test(void);
#endif /* MD5TEST */

#endif /* _MD5_H */

